:root {
    --primary-green: #3AA76D;
    --soft-pink: #FADADD;
    --accent-yellow: #FFE082;
    --pure-white: #FFFFFF;
}


.body-class{
    background: linear-gradient(135deg, #FFFFFF, #E0E0E0);
    /* background: linear-gradient(135deg, #3AA76D, #0f5132); */
}


/* nav bar */
.navbar {
    background-color: var(--primary-green) !important;
}

.navbar .nav-link,
.navbar .navbar-brand {
    color: white !important;
}


/*  */
.mx-auto{
    max-width: 1080px;
}

/* buttons */
.btn-primary {
    background-color: var(--primary-green);
    border-color: var(--primary-green);
}

.btn-primary:hover {
    background-color: var(--accent-yellow);
    border-color: var(--accent-yellow);
    color: black;
}

/* hero */
.hero-section {
    background-color: var(--soft-pink);
    padding: 80px 0;
}

/* card accent */
.card {
    border-top: 4px solid var(--primary-green);
}

/* whatsapp */
.whatsapp-float {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 999;

    background-color: var(--pure-white); 
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border-color: black;

    display: flex;
    align-items: center;
    justify-content: center;

    box-shadow: 0 4px 12px rgba(0,0,0,0.3);
    transition: transform 0.3s ease;
}

.whatsapp-float img {
    width: 32px;
    height: 32px;
}

.whatsapp-float:hover {
    transform: scale(1.1);
    animation: pulse 2s infinite;

}

@keyframes pulse {
    0% { box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7); }
    70% { box-shadow: 0 0 0 15px rgba(37, 211, 102, 0); }
    100% { box-shadow: 0 0 0 0 rgba(37, 211, 102, 0); }
}


/* pop up */
.popup-content {
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.6s ease;
}

.popup-content.show {
    opacity: 1;
    transform: translateY(0);
}

/* @keyframes popUpAnimation {
    0% { transform: scale(0.1); opacity: 0; transform: translateY(20px);}
    100% { transform: scale(1); opacity: 1; transform: translateY(0px);}
} */

/* image */
.carousel-item {
    height: 640px;
    /* display: flex; */
    align-items: center;
    justify-content: center;
    /* background-color: #f8f9fa; */
}

.carousel-item img {
    max-height: 100%;
    max-width: 100%;
    object-fit: contain;
}

/* next prev */

.carousel-control-prev,
.carousel-control-next {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
}

.carousel-control-prev:hover,
.carousel-control-next:hover {
    animation: pulse 1s infinite;
}


.carousel-control-prev-icon,
.carousel-control-next-icon {
    filter: brightness(0) invert(1);
}

/* wifi */
.wifi-slide {
    height: 640px;               
    background-color: #3AA76D;   
    display: flex;
    align-items: center;
    justify-content: center;
}

.wifi-icon {
    width: 240px;
    height: 240px;
    fill: white;
}